[Chromium] Make the v8 i18n API dependency conditional for Android, disable strict...
authorpeter@chromium.org <peter@chromium.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 13 Jul 2012 18:45:16 +0000 (18:45 +0000)
committerpeter@chromium.org <peter@chromium.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 13 Jul 2012 18:45:16 +0000 (18:45 +0000)
commit8f92078c28157946e99845d946e9a5ec722b73ff
treec157daa10b0e9fc151e282436d44614d0d43fe7d
parent162c880ed68e2b0982941162289ea4f87a41a869
[Chromium] Make the v8 i18n API dependency conditional for Android, disable strict aliasing
https://bugs.webkit.org/show_bug.cgi?id=91240

Reviewed by Adam Barth.

Disable the v8 internationalization API for Chromium Android, as it's
disabled and not always available in checkouts. Furthermore, disable
strict aliasing for the webkit_remaining target, similar to what
x11-based builds are doing (see the webcore_prerequisites target).

* WebCore.gyp/WebCore.gyp:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@122610 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Source/WebCore/ChangeLog
Source/WebCore/WebCore.gyp/WebCore.gyp